<?php
/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*\
<< ******************************************************************** >>
<< * ---------------------------------------------------------------- * >>
<< * Copyright 2011-2012 Ozzy47                                      * >>
<< * All Rights Reserved. 											  * >>
<< * This file may not be redistributed in whole or significant part. * >>
<< * ---------------------------------------------------------------- * >>
<< * You are not allowed to use this on your server unless the files  * >>
<< * you downloaded were done so with permission.					  * >>
<< * ---------------------------------------------------------------- * >>
<< ******************************************************************** >>
\*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/
	
// ########################################################################
// ######################### START MAIN SCRIPT ############################
// ########################################################################

do
{
	if (!$vbulletin->options['dbtech_vbsecurity_ipverify_enabled'])
	{
		// System is inactive
		break;
	}
	
	if (!$storedIp = VBSECURITY::$db->fetchOne('
		SELECT ipaddress
		FROM $dbtech_vbsecurity_ipverify
		WHERE userid = ?
		ORDER BY ipverifyid DESC
	', array(
		$vbulletin->userinfo['userid']
	)))
	{
		// Default stored IP
		$storedIp = $vbphrase['n_a'];
	}

	print_table_start();
	print_table_header('<div style="width:150px;">' . $vbphrase['dbtech_vbsecurity_ip_verifier'] . '</div>', 1);
	print_description_row($vbphrase['dbtech_vbsecurity_current_ip'], 0, 2, 'optiontitle');
	print_description_row(IPADDRESS);
	print_description_row($vbphrase['dbtech_vbsecurity_stored_ip'], 0, 2, 'optiontitle');
	print_description_row($storedIp);
	if (IPADDRESS == $storedIp)
	{
		// Current IP patches stored IP
		print_description_row(
			'<span style="color:' . $vbulletin->options['dbtech_vbsecurity_ipmatch_color'] . '; font-weight:bold;">' . $vbphrase['dbtech_vbsecurity_ipmatch'] . '</span>',
			false, 2, '', 'center'
		);
	}
	else
	{
		//IP doesn't match
		print_description_row(
			'<span style="color:' . $vbulletin->options['dbtech_vbsecurity_ipmismatch_color'] . '; font-weight:bold;">' . $vbphrase['dbtech_vbsecurity_ipmismatch'] . '</span>',
			false, 2, '', 'center'
		);

		if ($vbulletin->options['dbtech_vbsecurity_ipverify_email'] AND $storedIp != $vbphrase['n_a'])
		{
			// Email webmaster about this
			vbmail(
				$vbulletin->options['webmasteremail'], 
				construct_phrase($vbphrase['dbtech_vbsecurity_unrecognised_admincp_login_subject'], IPADDRESS), 
				construct_phrase($vbphrase['dbtech_vbsecurity_unrecognised_admincp_login_body'], $vbulletin->userinfo['username'], IPADDRESS, $storedIp), 
				true
			);
		}
	}
	if (can_access_logs($vbulletin->config['SpecialUsers']['canviewadminlog']))
	{
		print_description_row(construct_link_code($vbphrase['dbtech_vbsecurity_ipverify_table_header'], 'vbsecurity.php?' . $vbulletin->session->vars['sessionurl'] . 'do=acplogins'));
	}
	print_table_footer();
	echo "<br />";
}
while (false);

/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*\
<< ********************************************************************* >>
<< * Created: 09:30, Fri June 8th 2012                                 * >>
<< * VER: 1.0.0                                                        * >>
<< ********************************************************************* >>
\*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/
?>